MalformedParametersException (Java SE 10 & JDK 10 )
Keywords: java.lang.reflect.MalformedParametersException class

Module java.base
Package java.lang.reflect

## Class MalformedParametersException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.reflect.MalformedParametersException

- All Implemented Interfaces:
    `Serializable`

      public class MalformedParametersException
      extends RuntimeException

  Thrown when `the java.lang.reflect package` attempts to read method parameters from a class file and determines that one or more parameters are malformed.

  The following is a list of conditions under which this exception can be thrown:

  - The number of parameters (parameter_count) is wrong for the method
  - A constant pool index is out of bounds.
  - A constant pool index does not refer to a UTF-8 entry
  - A parameter's name is "", or contains an illegal character
  - The flags field contains an illegal flag (something other than FINAL, SYNTHETIC, or MANDATED)
  See `Executable.getParameters()` for more information.
  Since:
    1.8
  See Also:
    `Executable.getParameters()`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MalformedParametersException()` | Create a `MalformedParametersException` with an empty reason.
    `MalformedParametersException​(String reason)` | Create a `MalformedParametersException`.

  - ### Method Summary

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods declared in class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

- - ### Constructor Detail

    - #### MalformedParametersException

          public MalformedParametersException()

      Create a `MalformedParametersException` with an empty reason.

    - #### MalformedParametersException

          public MalformedParametersException​(String reason)

      Create a `MalformedParametersException`.
      Parameters:
        `reason` - The reason for the exception.